FROM python:3.11.4-slim-buster

WORKDIR /var/www/html/

COPY . .

RUN pip install -r requirements.txt

RUN python3 manage.py collectstatic

VOLUME /var/www/html/staticfiles/

CMD gunicorn apibase.wsgi:application --bind 0.0.0.0:5000 --workers=4
