from django.contrib import admin
from .models import Payment, BillFormula, Topup

# Register your models here.


class PaymentAdmin(admin.ModelAdmin):
    list_display = (
        "id",
        "user",
        "amount",
        "number_of_months",
        "paid",
        "paid_at",
        "method",
        "created_at",
        "updated_at",
    )


admin.site.register(Payment, PaymentAdmin)
admin.site.register(BillFormula)
admin.site.register(Topup)
