from django.contrib import admin

# Register your models here.
from .models import Device


class DeviceAdmin(admin.ModelAdmin):
    list_display = (
        "id",
        "user",
        "mac",
        "vendor",
        "blocked_by",
        "name",
        "created_at",
        "updated_at",
    )
    search_fields = ("mac", "name")
    list_filter = ("user",)


admin.site.register(Device, DeviceAdmin)
